org.eclipse.eef.impl

## Class EEFGroupDescriptionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFGroupDescriptionImpl

All Implemented Interfaces:
  EEFGroupDescription, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EEFGroupDescriptionImpl
    extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
    implements EEFGroupDescription

An implementation of the model object 'EEF Group Description'.

The following features are implemented:

- `Identifier`
- `Label Expression`
- `Domain Class`
- `Semantic Candidate Expression`
- `Precondition Expression`
- `Controls`
- `Semantic Validation Rules`
- `Property Validation Rules`
- `Style`
- `Conditional Styles`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle>` `conditionalStyles` The cached value of the '`Conditional Styles`' containment reference list.
`protected org.eclipse.emf.common.util.EList<EEFControlDescription>` `controls` The cached value of the '`Controls`' containment reference list.
`protected static java.lang.String` `DOMAIN_CLASS_EDEFAULT` The default value of the '`Domain Class`' attribute.
`protected java.lang.String` `domainClass` The cached value of the '`Domain Class`' attribute.
`protected java.lang.String` `identifier` The cached value of the '`Identifier`' attribute.
`protected static java.lang.String` `IDENTIFIER_EDEFAULT` The default value of the '`Identifier`' attribute.
`protected static java.lang.String` `LABEL_EXPRESSION_EDEFAULT` The default value of the '`Label Expression`' attribute.
`protected java.lang.String` `labelExpression` The cached value of the '`Label Expression`' attribute.
`protected static java.lang.String` `PRECONDITION_EXPRESSION_EDEFAULT` The default value of the '`Precondition Expression`' attribute.
`protected java.lang.String` `preconditionExpression` The cached value of the '`Precondition Expression`' attribute.
`protected org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `propertyValidationRules` The cached value of the '`Property Validation Rules`' containment reference list.
`protected static java.lang.String` `SEMANTIC_CANDIDATE_EXPRESSION_EDEFAULT` The default value of the '`Semantic Candidate Expression`' attribute.
`protected java.lang.String` `semanticCandidateExpression` The cached value of the '`Semantic Candidate Expression`' attribute.
`protected org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription>` `semanticValidationRules` The cached value of the '`Semantic Validation Rules`' containment reference list.
`protected EEFGroupStyle` `style` The cached value of the '`Style`' containment reference.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFGroupDescriptionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFGroupStyle` `basicGetStyle()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetStyle(EEFGroupStyle newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle>` `getConditionalStyles()`
`org.eclipse.emf.common.util.EList<EEFControlDescription>` `getControls()`
`java.lang.String` `getDomainClass()`
`java.lang.String` `getIdentifier()`
`java.lang.String` `getLabelExpression()`
`java.lang.String` `getPreconditionExpression()`
`org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `getPropertyValidationRules()`
`java.lang.String` `getSemanticCandidateExpression()`
`org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription>` `getSemanticValidationRules()`
`EEFGroupStyle` `getStyle()`
`void` `setDomainClass(java.lang.String newDomainClass)`
`void` `setIdentifier(java.lang.String newIdentifier)`
`void` `setLabelExpression(java.lang.String newLabelExpression)`
`void` `setPreconditionExpression(java.lang.String newPreconditionExpression)`
`void` `setSemanticCandidateExpression(java.lang.String newSemanticCandidateExpression)`
`void` `setStyle(EEFGroupStyle newStyle)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### IDENTIFIER_EDEFAULT

    protected static final java.lang.String IDENTIFIER_EDEFAULT

The default value of the '`Identifier`' attribute.

See Also:
  `getIdentifier()`

#### identifier

    protected java.lang.String identifier

The cached value of the '`Identifier`' attribute.

See Also:
  `getIdentifier()`

#### LABEL_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_EXPRESSION_EDEFAULT

The default value of the '`Label Expression`' attribute.

See Also:
  `getLabelExpression()`

#### labelExpression

    protected java.lang.String labelExpression

The cached value of the '`Label Expression`' attribute.

See Also:
  `getLabelExpression()`

#### DOMAIN_CLASS_EDEFAULT

    protected static final java.lang.String DOMAIN_CLASS_EDEFAULT

The default value of the '`Domain Class`' attribute.

See Also:
  `getDomainClass()`

#### domainClass

    protected java.lang.String domainClass

The cached value of the '`Domain Class`' attribute.

See Also:
  `getDomainClass()`

#### SEMANTIC_CANDIDATE_EXPRESSION_EDEFAULT

    protected static final java.lang.String SEMANTIC_CANDIDATE_EXPRESSION_EDEFAULT

The default value of the '`Semantic Candidate Expression`' attribute.

See Also:
  `getSemanticCandidateExpression()`

#### semanticCandidateExpression

    protected java.lang.String semanticCandidateExpression

The cached value of the '`Semantic Candidate Expression`' attribute.

See Also:
  `getSemanticCandidateExpression()`

#### PRECONDITION_EXPRESSION_EDEFAULT

    protected static final java.lang.String PRECONDITION_EXPRESSION_EDEFAULT

The default value of the '`Precondition Expression`' attribute.

See Also:
  `getPreconditionExpression()`

#### preconditionExpression

    protected java.lang.String preconditionExpression

The cached value of the '`Precondition Expression`' attribute.

See Also:
  `getPreconditionExpression()`

#### controls

    protected org.eclipse.emf.common.util.EList<EEFControlDescription> controls

The cached value of the '`Controls`' containment reference list.

See Also:
  `getControls()`

#### semanticValidationRules

    protected org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription> semanticValidationRules

The cached value of the '`Semantic Validation Rules`' containment reference list.

See Also:
  `getSemanticValidationRules()`

#### propertyValidationRules

    protected org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> propertyValidationRules

The cached value of the '`Property Validation Rules`' containment reference list.

See Also:
  `getPropertyValidationRules()`

#### style

    protected EEFGroupStyle style

The cached value of the '`Style`' containment reference.

See Also:
  `getStyle()`

#### conditionalStyles

    protected org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle> conditionalStyles

The cached value of the '`Conditional Styles`' containment reference list.

See Also:
  `getConditionalStyles()`

### Constructor Detail

#### EEFGroupDescriptionImpl

    protected EEFGroupDescriptionImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### getIdentifier

    public java.lang.String getIdentifier()

Specified by:
  `getIdentifier` in interface `EEFGroupDescription`
Returns:
  the value of the 'Identifier' attribute.
See Also:
  `EEFGroupDescription.setIdentifier(String)`, `EefPackage.getEEFGroupDescription_Identifier()`

#### setIdentifier

    public void setIdentifier(java.lang.String newIdentifier)

Specified by:
  `setIdentifier` in interface `EEFGroupDescription`
Parameters:
  `newIdentifier` - the new value of the 'Identifier' attribute.
See Also:
  `EEFGroupDescription.getIdentifier()`

#### getLabelExpression

    public java.lang.String getLabelExpression()

Specified by:
  `getLabelExpression` in interface `EEFGroupDescription`
Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `EEFGroupDescription.setLabelExpression(String)`, `EefPackage.getEEFGroupDescription_LabelExpression()`

#### setLabelExpression

    public void setLabelExpression(java.lang.String newLabelExpression)

Specified by:
  `setLabelExpression` in interface `EEFGroupDescription`
Parameters:
  `newLabelExpression` - the new value of the 'Label Expression' attribute.
See Also:
  `EEFGroupDescription.getLabelExpression()`

#### getDomainClass

    public java.lang.String getDomainClass()

Specified by:
  `getDomainClass` in interface `EEFGroupDescription`
Returns:
  the value of the 'Domain Class' attribute.
See Also:
  `EEFGroupDescription.setDomainClass(String)`, `EefPackage.getEEFGroupDescription_DomainClass()`

#### setDomainClass

    public void setDomainClass(java.lang.String newDomainClass)

Specified by:
  `setDomainClass` in interface `EEFGroupDescription`
Parameters:
  `newDomainClass` - the new value of the 'Domain Class' attribute.
See Also:
  `EEFGroupDescription.getDomainClass()`

#### getSemanticCandidateExpression

    public java.lang.String getSemanticCandidateExpression()

Specified by:
  `getSemanticCandidateExpression` in interface `EEFGroupDescription`
Returns:
  the value of the 'Semantic Candidate Expression' attribute.
See Also:
  `EEFGroupDescription.setSemanticCandidateExpression(String)`, `EefPackage.getEEFGroupDescription_SemanticCandidateExpression()`

#### setSemanticCandidateExpression

    public void setSemanticCandidateExpression(java.lang.String newSemanticCandidateExpression)

Specified by:
  `setSemanticCandidateExpression` in interface `EEFGroupDescription`
Parameters:
  `newSemanticCandidateExpression` - the new value of the 'Semantic Candidate Expression' attribute.
See Also:
  `EEFGroupDescription.getSemanticCandidateExpression()`

#### getPreconditionExpression

    public java.lang.String getPreconditionExpression()

Specified by:
  `getPreconditionExpression` in interface `EEFGroupDescription`
Returns:
  the value of the 'Precondition Expression' attribute.
See Also:
  `EEFGroupDescription.setPreconditionExpression(String)`, `EefPackage.getEEFGroupDescription_PreconditionExpression()`

#### setPreconditionExpression

    public void setPreconditionExpression(java.lang.String newPreconditionExpression)

Specified by:
  `setPreconditionExpression` in interface `EEFGroupDescription`
Parameters:
  `newPreconditionExpression` - the new value of the 'Precondition Expression' attribute.
See Also:
  `EEFGroupDescription.getPreconditionExpression()`

#### getControls

    public org.eclipse.emf.common.util.EList<EEFControlDescription> getControls()

Specified by:
  `getControls` in interface `EEFGroupDescription`
Returns:
  the value of the 'Controls' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_Controls()`

#### getSemanticValidationRules

    public org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription> getSemanticValidationRules()

Specified by:
  `getSemanticValidationRules` in interface `EEFGroupDescription`
Returns:
  the value of the 'Semantic Validation Rules' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_SemanticValidationRules()`

#### getPropertyValidationRules

    public org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> getPropertyValidationRules()

Specified by:
  `getPropertyValidationRules` in interface `EEFGroupDescription`
Returns:
  the value of the 'Property Validation Rules' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_PropertyValidationRules()`

#### getStyle

    public EEFGroupStyle getStyle()

Specified by:
  `getStyle` in interface `EEFGroupDescription`
Returns:
  the value of the 'Style' containment reference.
See Also:
  `#setStyle(EEFTextStyle)`, `EefPackage.getEEFGroupDescription_Style()`

#### basicGetStyle

    public EEFGroupStyle basicGetStyle()

#### basicSetStyle

    public org.eclipse.emf.common.notify.NotificationChain basicSetStyle(EEFGroupStyle newStyle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

#### setStyle

    public void setStyle(EEFGroupStyle newStyle)

Specified by:
  `setStyle` in interface `EEFGroupDescription`
Parameters:
  `newStyle` - the new value of the 'Style' containment reference.
See Also:
  `EEFGroupDescription.getStyle()`

#### getConditionalStyles

    public org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle> getConditionalStyles()

Specified by:
  `getConditionalStyles` in interface `EEFGroupDescription`
Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_ConditionalStyles()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`